Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
java_raw_api.c File Reference
`#include <ffi.h>`
`#include <ffi_common.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions
size_t | ffi_java_raw_size (ffi_cif *cif)
void | ffi_java_raw_to_ptrarray (ffi_cif *cif, ffi_java_raw *raw, void **args)
void | ffi_java_ptrarray_to_raw (ffi_cif *cif, void **args, ffi_java_raw *raw)
void | ffi_java_raw_call (ffi_cif *cif, void(*fn)(void), void *rvalue, ffi_java_raw *raw)

## Function Documentation

## ◆ ffi_java_ptrarray_to_raw()

void ffi_java_ptrarray_to_raw | ( | ffi_cif * | cif,
|  | void ** | args,
|  | ffi_java_raw * | raw
| ) |  |

Definition at line 157 of file java_raw_api.c.

References ALIGN, FFI_ASSERT, i, memcpy(), and ptr.

## ◆ ffi_java_raw_call()

void ffi_java_raw_call | ( | ffi_cif * | cif,
|  | void(*)(void) | fn,
|  | void * | rvalue,
|  | ffi_java_raw * | raw
| ) |  |

Definition at line 313 of file java_raw_api.c.

References alloca, ffi_call(), and ffi_java_raw_to_ptrarray().

## ◆ ffi_java_raw_size()

size_t ffi_java_raw_size | ( | ffi_cif * | cif | ) |

Definition at line 45 of file java_raw_api.c.

## ◆ ffi_java_raw_to_ptrarray()

void ffi_java_raw_to_ptrarray | ( | ffi_cif * | cif,
|  | ffi_java_raw * | raw,
|  | void ** | args
| ) |  |

Definition at line 76 of file java_raw_api.c.

References abort(), ALIGN, and i.

Referenced by ffi_java_raw_call().